### Constructor

# Gimp Image new_with_precision

since: 2.10

#### Declaration [src]

    GimpImage*
    gimp_image_new_with_precision (
      gint width,
      gint height,
      GimpImageBaseType type,
      GimpPrecision precision
    )

#### Description [src]

Creates a new image with the specified width, height, type and precision.

Creates a new image, undisplayed with the specified extents, type and precision. Indexed images can only be created at `GIMP_PRECISION_U8_NON_LINEAR` precision. See `gimp_image_new()` for further details.

Available since: 2.10

#### Parameters

`width`

  Type: `gint`

  The width of the image.

`height`

  Type: `gint`

  The height of the image.

`type`

  Type: `GimpImageBaseType`

  The type of image.

`precision`

  Type: `GimpPrecision`

  The precision.

#### Return value

Type: `GimpImage`

The newly created image.

The data is owned by the called function.